Scriptname MadRCQuest01Script extends Quest  

Spell Property MadRCSpell01  Auto  
Actor Property MadRCActor01Ref  Auto  
Faction Property MadRCFaction02  Auto  
ObjectReference Property MadRCContainer01Ref  Auto  
MiscObject Property MadRCSkull01  Auto  


Event OnInit()

 Game.GetPlayer().AddSpell(MadRCSpell01)

EndEvent


Function Follow()

 StatusReset()
 MadRCActor01Ref.SetActorValue("Aggression",0)
 MadRCActor01Ref.AddToFaction(MadRCFaction02)
 MadRCActor01Ref.EvaluatePackage()
 MadRCActor01Ref.SetPlayerTeammate()

EndFunction


Function Stay()

 StatusReset()
 MadRCActor01Ref.SetActorValue("Aggression",0)
 MadRCActor01Ref.SetPlayerTeammate(False)
 MadRCActor01Ref.RemoveFromFaction(MadRCFaction02)
 MadRCActor01Ref.EvaluatePackage()

EndFunction


Function Backpack()

 StatusReset()
 MadRCActor01Ref.SetActorValue("Aggression",0)
 MadRCContainer01Ref.Activate(Game.GetPlayer(),True)

EndFunction


Function Inventory()

 StatusReset()
 MadRCActor01Ref.SetActorValue("Aggression",0)
 MadRCActor01Ref.OpenInventory(true)

EndFunction


Function KillAll()

 StatusReset()
 MadRCActor01Ref.SetPlayerTeammate(False)
 MadRCActor01Ref.RemoveFromFaction(MadRCFaction02)
 MadRCActor01Ref.EvaluatePackage()
 MadRCActor01Ref.SetActorValue("Aggression",2)

EndFunction


Function KillMe()

 StatusReset()
 MadRCActor01Ref.SetPlayerTeammate(False)
 MadRCActor01Ref.RemoveFromFaction(MadRCFaction02)
 MadRCActor01Ref.EvaluatePackage()
 MadRCActor01Ref.SetActorValue("Aggression",3)
 MadRCActor01Ref.StartCombat(Game.GetPlayer())

EndFunction


Function Skull()

 StatusReset()
 Game.GetPlayer().AddItem(MadRCSkull01)

EndFunction


Function StatusReset()

 MadRCActor01Ref.SetActorValue("Health",150+Game.GetPlayer().GetLevel()*50)
 MadRCActor01Ref.SetActorValue("OneHanded",18+Game.GetPlayer().GetLevel()*2)
 MadRCActor01Ref.SetActorValue("TwoHanded",18+Game.GetPlayer().GetLevel()*2)
 MadRCActor01Ref.IgnoreFriendlyHits()

EndFunction